### Enumeration

# Gio DBusObjectManagerClientFlags

since: 2.30

#### Declaration

    flags Gio.DBusObjectManagerClientFlags

#### Description [src]

Flags used when constructing a `GDBusObjectManagerClient`.

Available since: 2.30

#### Members

Name | Description
--- | ---
`G_DBUS_OBJECT_MANAGER_CLIENT_FLAGS_NONE` | No flags set.
`G_DBUS_OBJECT_MANAGER_CLIENT_FLAGS_DO_NOT_AUTO_START` | If not set and the manager is for a well-known name, then request the bus to launch an owner for the name if no-one owns the name. This flag can only be used in managers for well-known names.